Bug 180576 - [maintainer-update] games/ioquake3 and slaves
Summary: [maintainer-update] games/ioquake3 and slaves
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-15 16:20 UTC by kamikaze
Modified: 2013-08-31 18:30 UTC (History)
0 users

See Also:


Attachments
file.diff (8.06 KB, patch)
2013-07-15 16:20 UTC, kamikaze
no flags Details | Diff
patch-ports-games-ioquake3.txt (24.40 KB, patch)
2013-07-23 13:25 UTC, kamikaze
no flags Details | Diff
shar-ports-games-iourbanterror-files.txt (3.50 KB, text/plain; charset=UTF-8)
2013-07-23 13:39 UTC, kamikaze
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kamikaze 2013-07-15 16:20:00 UTC
- Fix breakage from conversion to new options framework
- Clean up slave feature triggers
- New style Makefile headers

Fix: Patch attached with submission follows:
How-To-Repeat: Currently all ioquak3 and slave ports are marked IGNORE due to wrong options.
Comment 1 Martin Wilke freebsd_committer 2013-07-16 04:58:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 kamikaze 2013-07-23 13:25:20 UTC
Attached is an updated patchset.

The patch removes files, take heed when applying!

Infrastructure changes:
- Switch to using PLIST_FILES instead of a pkg-plist files
- Unify the generation of the do-install target and PLIST_FILES
- Include more documentation

ioquake3-devel* and iourbanterror* changes:
- Sources are updated from SVN revision 2318 to GIT revision 2178
- Switch to .xz packaged sources (smaller distfiles)
- Introduce OPUS support
- Introduce OpenGL2 support

urbanterror-data:
- Update from 4.1.1 to 4.2.014, contributed by Zhihao Yuan <lichray@gmail.com>

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail? 
Comment 3 kamikaze 2013-07-23 13:39:47 UTC
The attached adds new files introduced in conjunction with the previously
mailed patch.
Comment 4 kamikaze 2013-08-18 12:21:52 UTC
Can I speed this up by providing tinderbox logs?

Regards
Kami

-- 
A: Because it fouls the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in e-mail?
Comment 5 tigger.on 2013-08-28 10:51:25 UTC
Just wondering if there is a problem with this PR / patch.

I've been waiting on it being approved for a while now and it seems to be
in a state of limbo :[

BTW, I'm an IOQuake3 user, not the maintainer.

-Tig
Comment 6 John Marino freebsd_committer 2013-08-31 13:29:59 UTC
Responsible Changed
From-To: miwi->marino

I'll over-take it.
Comment 7 John Marino freebsd_committer 2013-08-31 16:08:18 UTC
State Changed
From-To: open->closed

Committed with minor changes.  The revision is 325812.  Unfortunately 
due to a typo I referenced the wrong PR and it didn't get posted here.
Comment 8 dfilter service freebsd_committer 2013-08-31 18:25:16 UTC
Author: marino
Date: Sat Aug 31 17:25:08 2013
New Revision: 325818
URL: http://svnweb.freebsd.org/changeset/ports/325818

Log:
  games/iourbanterror: Fix new patches
  
  Something went with shar extraction.
  One new patch came out wrong and the other wasn't created.
  Let's put them right now.
  
  PR:		ports/180576
  Reported by:	Domininic Fandrey (maintainer)

Added:
  head/games/iourbanterror/files/patch-code-qcommon-vm_x86.c   (contents, props changed)
Modified:
  head/games/iourbanterror/files/patch-code-qcommon-vm_interpreted.c

Modified: head/games/iourbanterror/files/patch-code-qcommon-vm_interpreted.c
==============================================================================
--- head/games/iourbanterror/files/patch-code-qcommon-vm_interpreted.c	Sat Aug 31 17:21:40 2013	(r325817)
+++ head/games/iourbanterror/files/patch-code-qcommon-vm_interpreted.c	Sat Aug 31 17:25:08 2013	(r325818)
@@ -1,7 +1,6 @@
-diff -r de1eebcbab05 code/qcommon/vm_interpreted.c
---- code/qcommon/vm_interpreted.c	Mon Jul 15 20:43:44 2013 +0200
-+++ code/qcommon/vm_interpreted.c	Tue Jul 23 10:41:47 2013 +0200
-@@ -436,21 +436,21 @@
+--- code/qcommon/vm_interpreted.c.orig	2013-07-15 18:54:41.000000000 +0000
++++ code/qcommon/vm_interpreted.c
+@@ -436,21 +436,21 @@ nextInstruction2:
  				return 0;
  			}
  #endif
@@ -27,7 +26,7 @@ diff -r de1eebcbab05 code/qcommon/vm_int
  			opStackOfs -= 2;
  			goto nextInstruction;
  		case OP_STORE1:
-@@ -460,7 +460,7 @@
+@@ -460,7 +460,7 @@ nextInstruction2:
  
  		case OP_ARG:
  			// single byte offset from programStack
@@ -36,47 +35,3 @@ diff -r de1eebcbab05 code/qcommon/vm_int
  			opStackOfs--;
  			programCounter += 1;
  			goto nextInstruction;
-a05650c847d3648d03593516ce310db4
-echo x - games/iourbanterror/files/patch-code-qcommon-vm_x86.c
-sed 's/^X//' >games/iourbanterror/files/patch-code-qcommon-vm_x86.c << 'b99229479f1b9014d0f8028a3c1f2c41'
-diff -r de1eebcbab05 code/qcommon/vm_x86.c
---- code/qcommon/vm_x86.c	Mon Jul 15 20:43:44 2013 +0200
-+++ code/qcommon/vm_x86.c	Tue Jul 23 10:41:43 2013 +0200
-@@ -783,7 +783,7 @@
- 		return qtrue;
- 
- 	case OP_STORE4:
--		EmitMovEAXStack(vm, (vm->dataMask & ~3));
-+		EmitMovEAXStack(vm, vm->dataMask);
- #if idx64
- 		EmitRexString(0x41, "C7 04 01");		// mov dword ptr [r9 + eax], 0x12345678
- 		Emit4(Constant4());
-@@ -798,7 +798,7 @@
- 		return qtrue;
- 
- 	case OP_STORE2:
--		EmitMovEAXStack(vm, (vm->dataMask & ~1));
-+		EmitMovEAXStack(vm, vm->dataMask);
- #if idx64
- 		Emit1(0x66);					// mov word ptr [r9 + eax], 0x1234
- 		EmitRexString(0x41, "C7 04 01");
-@@ -1369,7 +1369,7 @@
- 		case OP_STORE4:
- 			EmitMovEAXStack(vm, 0);	
- 			EmitString("8B 54 9F FC");			// mov edx, dword ptr -4[edi + ebx * 4]
--			MASK_REG("E2", vm->dataMask & ~3);		// and edx, 0x12345678
-+			MASK_REG("E2", vm->dataMask);			// and edx, 0x12345678
- #if idx64
- 			EmitRexString(0x41, "89 04 11");		// mov dword ptr [r9 + edx], eax
- #else
-@@ -1381,7 +1381,7 @@
- 		case OP_STORE2:
- 			EmitMovEAXStack(vm, 0);	
- 			EmitString("8B 54 9F FC");			// mov edx, dword ptr -4[edi + ebx * 4]
--			MASK_REG("E2", vm->dataMask & ~1);		// and edx, 0x12345678
-+			MASK_REG("E2", vm->dataMask);			// and edx, 0x12345678
- #if idx64
- 			Emit1(0x66);					// mov word ptr [r9 + edx], eax
- 			EmitRexString(0x41, "89 04 11");
-b99229479f1b9014d0f8028a3c1f2c41
-exit

Added: head/games/iourbanterror/files/patch-code-qcommon-vm_x86.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/iourbanterror/files/patch-code-qcommon-vm_x86.c	Sat Aug 31 17:25:08 2013	(r325818)
@@ -0,0 +1,38 @@
+--- code/qcommon/vm_x86.c.orig	2013-07-15 18:54:41.000000000 +0000
++++ code/qcommon/vm_x86.c
+@@ -783,7 +783,7 @@ qboolean ConstOptimize(vm_t *vm, int cal
+ 		return qtrue;
+ 
+ 	case OP_STORE4:
+-		EmitMovEAXStack(vm, (vm->dataMask & ~3));
++		EmitMovEAXStack(vm, vm->dataMask);
+ #if idx64
+ 		EmitRexString(0x41, "C7 04 01");		// mov dword ptr [r9 + eax], 0x12345678
+ 		Emit4(Constant4());
+@@ -798,7 +798,7 @@ qboolean ConstOptimize(vm_t *vm, int cal
+ 		return qtrue;
+ 
+ 	case OP_STORE2:
+-		EmitMovEAXStack(vm, (vm->dataMask & ~1));
++		EmitMovEAXStack(vm, vm->dataMask);
+ #if idx64
+ 		Emit1(0x66);					// mov word ptr [r9 + eax], 0x1234
+ 		EmitRexString(0x41, "C7 04 01");
+@@ -1369,7 +1369,7 @@ void VM_Compile(vm_t *vm, vmHeader_t *he
+ 		case OP_STORE4:
+ 			EmitMovEAXStack(vm, 0);	
+ 			EmitString("8B 54 9F FC");			// mov edx, dword ptr -4[edi + ebx * 4]
+-			MASK_REG("E2", vm->dataMask & ~3);		// and edx, 0x12345678
++			MASK_REG("E2", vm->dataMask);			// and edx, 0x12345678
+ #if idx64
+ 			EmitRexString(0x41, "89 04 11");		// mov dword ptr [r9 + edx], eax
+ #else
+@@ -1381,7 +1381,7 @@ void VM_Compile(vm_t *vm, vmHeader_t *he
+ 		case OP_STORE2:
+ 			EmitMovEAXStack(vm, 0);	
+ 			EmitString("8B 54 9F FC");			// mov edx, dword ptr -4[edi + ebx * 4]
+-			MASK_REG("E2", vm->dataMask & ~1);		// and edx, 0x12345678
++			MASK_REG("E2", vm->dataMask);			// and edx, 0x12345678
+ #if idx64
+ 			Emit1(0x66);					// mov word ptr [r9 + edx], eax
+ 			EmitRexString(0x41, "89 04 11");
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"